Skip to content

API Reference

Add new transaction suspicious activities

POST /transaction_suspicious_activity https://transaction-api.cable.tech

Authentication

  • Bearer token in the Authorization header

Request body

application/json list of objects required

Transaction suspicious activity data to add.

  • suspicious_activity_id string required

    Unique identifier for a suspicious activity belonging to a transaction. This is the primary key for a transaction suspicious activity and should be unique across all transaction suspicious activities. Updates to a transaction suspicious activity should be made using this identifier.

  • detection_date string required

    Timestamp at which suspicious activity was detected on a transaction. This should be in the ISO 8601 format.

    Format date-time

  • report_id string

    Unique identifier for a transaction suspicious activity report for which the suspicious activity belongs to.

  • report_filed_at string

    The time of the transaction suspicious activity report was filed. This should be in ISO 8601 format.

    Format date-time

  • related_tx_ids list of strings

    Unique identifiers for transactions for which the suspicious activity relates to.

  • related_alert_id string

    Unique identifier for a transaction alert for which the suspicious activity relates to.

  • additional_properties list of objects

    Additional metadata that relates to a transaction suspicious activity.

    • key string required

      The key of the additional property. This should be unique within the additional properties array.

    • value string required

      The value of the additional property.

    • type string required

      The type of the additional property value, for example “string”, “number”, “boolean”, “object”, “array”.

      Allowed values STRINGNUMBERBOOLEANOBJECTARRAY

    • description string required

      A description of the additional property. This should provide context for the value.

  • timestamp string required

    The time of the transaction suspicious activity. This should be in ISO 8601 format. When adding a new transaction suspicious activity, this field represents the detection time. When updating a transaction suspicious activity, this represents the time of the update.

    Format date-time

Responses

201 Transaction suspicious activity added successfully

  • suspicious_activity_id string required

    Unique identifier for a suspicious activity belonging to a transaction. This is the primary key for a transaction suspicious activity and should be unique across all transaction suspicious activities. Updates to a transaction suspicious activity should be made using this identifier.

  • detection_date string

    Timestamp at which suspicious activity was detected on a transaction. This should be in the ISO 8601 format.

    Format date-time

  • report_id string

    Unique identifier for a transaction suspicious activity report for which the suspicious activity belongs to.

  • report_filed_at string

    The time of the transaction suspicious activity report was filed. This should be in ISO 8601 format.

    Format date-time

  • related_tx_ids list of strings

    Unique identifiers for transactions for which the suspicious activity relates to.

  • related_alert_id string

    Unique identifier for a transaction alert for which the suspicious activity relates to.

  • additional_properties list of objects

    Additional metadata that relates to a transaction suspicious activity.

    • key string required

      The key of the additional property. This should be unique within the additional properties array.

    • value string required

      The value of the additional property.

    • type string required

      The type of the additional property value, for example “string”, “number”, “boolean”, “object”, “array”.

      Allowed values STRINGNUMBERBOOLEANOBJECTARRAY

    • description string required

      A description of the additional property. This should provide context for the value.

  • timestamp string required

    The time of the transaction suspicious activity. This should be in ISO 8601 format. When adding a new transaction suspicious activity, this field represents the detection time. When updating a transaction suspicious activity, this represents the time of the update.

    Format date-time

Errors

  • 400 Invalid transaction suspicious activity data
  • 401 Unauthorized request
  • 409 Transaction suspicious activity already exists
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 400401409429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string